Markets

Get markets

GET/marketsPublic

List the markets available to the caller: the released markets, plus the ones an API key grants access to. Their instrument and pair name a market on the /perp routes.

Response Body

OK

application/json
  1. response
[index: integer]?||
import { createHttpClient } from '@ln-markets/sdk/rest/v3'

const client = createHttpClient()

const result = await client.markets.list()
[
  {
    "instrument": "inverse_perp",
    "pair": "string",
    "baseAsset": "string",
    "quoteAsset": "string",
    "ticker": "string",
    "displayName": "string",
    "tickSize": 1,
    "quantityStep": 1,
    "quantityUnit": "btc",
    "fundingIntervalHours": 1,
    "limits": {
      "maxTradeCount": 1,
      "maxOrderQuantity": 1,
      "maxAccountQuantity": 1,
      "cross": {
        "maxOrderCount": 1,
        "maxOrderQuantity": 1,
        "maxQuantityAtMinLeverage": 1,
        "maxQuantityAtMaxLeverage": 1
      }
    },
    "maxLeverage": 1,
    "marginModes": [
      "isolated"
    ],
    "id": "string",
    "slug": "string",
    "symbol": "string",
    "status": "hidden",
    "feature": "string"
  }
]